Skip to main content
GET
/
cash
/
authorization
Get cash authorizations
curl --request GET \
  --url https://api-sandbox.synctera.com/v0/cash/authorization \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-sandbox.synctera.com/v0/cash/authorization"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-sandbox.synctera.com/v0/cash/authorization', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "authorizations": [
    {
      "amount": 10000,
      "destination_account_id": "fccb4a46-1261-4e91-b622-73b5b946183d",
      "order_date": "2023-12-25",
      "account_number": "<string>",
      "client_name": "Cash-Based Brick and Mortar Store",
      "hold_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "originating_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
      "tenant": "abcdef_ghijkl"
    }
  ],
  "next_page_token": "a8937a0d"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

max_amount
integer

Maximum amount of the transfer

Required range: x >= 1
Example:

100

destination_account_id
string

Destination account ID

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

client_name
string

Client name of the transfer

from_order_date
string<date>

From order date of the transfer

to_order_date
string<date>

To order date of the transfer

id
string<uuid>[]

Cashier Authorization ID

order_date
string<date>

order date of the transfer

originating_account_id
string

Originating account ID

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

partner_id
string

Partner ID of the transfer

bank_id
string

Bank ID of the transfer

account_number
string

Account number of the transfer, known as "Location ID" in the cash order csv

amount
string

Amount of the transfer

Example:

100

min_amount
integer

Minimum amount of the transfer

Required range: x >= 1
Example:

100

Response

Retrieve all cash authorizations

authorizations
Cash Authorization Response · object[]
required

Array of authorizations.

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"